summaryrefslogtreecommitdiffstats
path: root/tests/dimension/tokenizer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/dimension/tokenizer.sh')
-rwxr-xr-xtests/dimension/tokenizer.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/tests/dimension/tokenizer.sh b/tests/dimension/tokenizer.sh
index edd3bb4..5f126ce 100755
--- a/tests/dimension/tokenizer.sh
+++ b/tests/dimension/tokenizer.sh
@@ -19,13 +19,15 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>. #
#########################################################################
+exitstatus=0
+
punctuation=$(${top_builddir}/dimension/dimension --tokenize ${srcdir}/punctuation.pov)
punctuation_exp='({ \( [ < + - * / , > ] \) })'
if [ "$punctuation" != "$punctuation_exp" ]; then
echo "punctuation.pov tokenized as \"$punctuation\"" >&2
echo " -- expected \"$punctuation_exp\"" >&2
- exit 1;
+ exitstatus=1
fi
numeric=$(${top_builddir}/dimension/dimension --tokenize ${srcdir}/numeric.pov)
@@ -34,5 +36,7 @@ numeric_exp='((int "1") (int "123456789") (int "01234567") (int "0x123456789") -
if [ "$numeric" != "$numeric_exp" ]; then
echo "numeric.pov tokenized as \"$numeric\"" >&2
echo " -- expected \"$numeric_exp\"" >&2
- exit 1;
+ exitstatus=1
fi
+
+exit $exitstatus \ No newline at end of file